Bug 260877 - devel/libatomic_ops: Use release archive
Summary: devel/libatomic_ops: Use release archive
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-02 10:48 UTC by Daniel Engberg
Modified: 2022-01-19 13:28 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
Patch for libatomic_ops (1.32 KB, patch)
2022-01-02 10:48 UTC, Daniel Engberg
no flags Details | Diff
Patch for libatomic_ops v2 (1.37 KB, patch)
2022-01-06 23:12 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2022-01-02 10:48:54 UTC
Created attachment 230623 [details]
Patch for libatomic_ops

Use release / distribution archive instead of USE_GITHUB as suggested by Porters Handbook
This also removed the need to use USES= autoreconf
Comment 1 Daniel Engberg freebsd_committer 2022-01-06 23:12:56 UTC
Created attachment 230769 [details]
Patch for libatomic_ops v2

...also remove dependency of libltdl
Comment 2 Daniel Engberg freebsd_committer 2022-01-19 07:22:21 UTC
Friendly ping
Comment 3 commit-hook freebsd_committer 2022-01-19 13:27:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ac03e21bace6c8428944be8f05c82bd7d978a8ed

commit ac03e21bace6c8428944be8f05c82bd7d978a8ed
Author:     Rodrigo Osorio <rodrigo@FreeBSD.org>
AuthorDate: 2022-01-19 13:08:39 +0000
Commit:     Rodrigo Osorio <rodrigo@FreeBSD.org>
CommitDate: 2022-01-19 13:18:13 +0000

    devel/libatomic_ops: Use release archive

    Use release archive instead of USE_GITHUB as suggested
    by "Porters Handbook" ; this also remove the need to use
    USES= autoreconf.
    Also remove libltdl dependency

    PR:             260877
    Reported by:    diizzy

 devel/libatomic_ops/Makefile | 10 +++-------
 devel/libatomic_ops/distinfo |  6 +++---
 2 files changed, 6 insertions(+), 10 deletions(-)
Comment 4 Rodrigo Osorio freebsd_committer 2022-01-19 13:28:04 UTC
Committed thanks, and sorry for the delay.